io.vertx.rxjava.core

## Class TimeoutStream

- java.lang.Object
- - io.vertx.rxjava.core.TimeoutStream

- All Implemented Interfaces:
    ReadStream<Long>, StreamBase

      public class TimeoutStream
      extends Object
      implements ReadStream<Long>

  A timeout stream is triggered by a timer, the `io.vertx.rxjava.core.Handler` will be call when the timer is fired, it can be once or several times depending on the nature of the timer related to this stream. The will be called after the timer handler has been called.

  Pausing the timer inhibits the timer shots until the stream is resumed. Setting a null handler callback cancels the timer.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeoutStream(TimeoutStream delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Cancels the timeout.
    `TimeoutStream` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `TimeoutStream` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `Object` | `getDelegate()`
    `TimeoutStream` | `handler(Handler<Long> handler)` Set a data handler.
    `static TimeoutStream` | `newInstance(TimeoutStream arg)`
    `TimeoutStream` | `pause()` Pause the `ReadSupport`.
    `TimeoutStream` | `resume()` Resume reading.
    `Observable<Long>` | `toObservable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.ReadStream

      `newInstance`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.StreamBase

      `newInstance`

- - ### Constructor Detail

    - #### TimeoutStream

          public TimeoutStream(TimeoutStream delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<Long>`
      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### toObservable

          public Observable<Long> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<Long>`

    - #### exceptionHandler

          public TimeoutStream exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<Long>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          public TimeoutStream handler(Handler<Long> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<Long>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          public TimeoutStream pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadSupport`. While it's paused, no data will be sent to the `dataHandler`
      Specified by:
        `pause` in interface `ReadStream<Long>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          public TimeoutStream resume()

      Description copied from interface: `ReadStream`
      Resume reading. If the `ReadSupport` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<Long>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public TimeoutStream endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<Long>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### cancel

          public void cancel()

      Cancels the timeout. Note this has the same effect as calling `handler(io.vertx.core.Handler<java.lang.Long>)` with a null argument.

    - #### newInstance

          public static TimeoutStream newInstance(TimeoutStream arg)

Copyright © 2016. All rights reserved.